// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved
package resource

import (
	_ "context"
	_ "encoding/json"
	_ "fmt"
	"github.com/stretchr/testify/assert"
	_ "gopkg.in/yaml.v3"
	_ "io"
	_ "log"
	_ "net/http"
	_ "net/http/httptest"
	_ "net/url"
	_ "os"
	_ "strings"
	"testing"
)

func TestNewExecResource(t *testing.T) {
	x := NewExec()
	assert.NotNil(t, x)
}

func TestExecApplyResourceTransformation(t *testing.T) {
	x := NewExec()
	assert.NotNil(t, x)

	//e := f.Apply()
	//assert.Equal(t, nil, e)
}

func TestReadExec(t *testing.T) {

}

func TestReadExecError(t *testing.T) {
}

func TestCreateExec(t *testing.T) {
}

func TestExecSetURI(t *testing.T) {
	x := NewExec()
	assert.NotNil(t, x)
	e := x.SetURI("exec://" + "12345_key")
	assert.Nil(t, e)
	assert.Equal(t, "exec", x.Type())
	assert.Equal(t, "12345_key", x.Id)
}
